Packages - Bug #3154

[mpv] mpv: symbol lookup error: mpv: undefined symbol: wil_proxy_ marshal_flags
2022-01-11 04:58 PM - maddox

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

mpv: symbol lookup error: mpv: undefined symbol: wl_proxy_marshal_flags

appears after upgrade to latest version

History

#1 - 2022-01-12 06:44 AM - maddox

It is weird, | have tried following other bugs related to mpv, as nothing is written in mpv tracking. Then | got problem with libffi, but by upgrading
p11-kit, all problems are gone.

| feel insecure because when | request a program to be installed it should know what are their dependencies and install those dependencies.

This may be closed now.

#2 - 2022-01-12 06:51 AM - bill-auger

- Status changed from unconfirmed to not-a-bug

it is assumed that people will always run ‘pacman -Syu® before installing packages - installing packages while new upgrades remain pending, puts the
system into an undefined (potentially inconsistent) state, conventionally referred to as a "partial-upgrade"; in which, this class of conflict (library
mismatches) are likely and expected

#3 - 2022-01-12 07:00 AM - maddox

sudo pacman -Syu

:: Synchronizing package databases...

libre is up to date

core is up to date

extra is up to date

community is up to date

pcr is up to date

:: Starting full system upgrade...

warning: base: local (2-2.parabolai.nonsystemd2) is newer than libre (2-2.parabolat)
:: Replace hwids with core/hwdata? [Y/n]

resolving dependencies...

looking for conflicting packages...

error: failed to prepare transaction (could not satisfy dependencies)
:: removing hwids breaks dependency 'hwids' required by eudev

| would not know how to proceed.
#4 - 2022-01-12 08:44 AM - bill-auger

please do not mix multiple concerns on the same ticket - separate issues should have separate tickets - that 'hwids'/'hwdata’ issue is tracked on
#3155
